View Issue Details

IDProjectCategoryView StatusLast Update
0032725Open CASCADEOCCT:Visualizationpublic2022-04-27 10:49
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version6.3.1 
Target Version7.7.0 
Summary0032725: Visualization - Graphic3d_Structure::SetDisplayPriority() should use public enumeration Graphic3d_DisplayPriority
DescriptionCurrently Graphic3d_Structure::SetDisplayPriority() takes integer that is expected to be defined within the range [0..10].

However, this range is defined (Structure_MAX_PRIORITY/Structure_MIN_PRIORITY) by private header Graphic3d_Structure.pxx inaccessible to application making this API error-prone.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

parent of 0032952 newkgv Coding Rules, Graphic3d_DisplayPriority - rename inconsistent Below2/Above1 enties 
Not all the children of this issue are yet resolved or closed.

Activities

git

2021-12-08 16:40

administrator   ~0105747

Branch CR32725 has been created by kgv.

SHA-1: a3e1c8ff8f43ad81cc3bb76f2176475e8195a7f3


Detailed log of new commits:

Author: kgv
Date: Wed Dec 8 15:55:11 2021 +0300

    0032725: Visualization - Graphic3d_Structure::SetDisplayPriority() should use public enumeration Graphic3d_DisplayPriority
    
    Added new enumeration Graphic3d_DisplayPriority.
    Graphic3d_Layer now defines a fixed-length array of priorities.
    Properties Graphic3d_CStructure::Id, Priority, PreviousPriority have been wrapped into methods.

kgv

2021-12-08 18:09

developer   ~0105750

Patch is ready for review
- OCCT: branch CR32725;
- OCC Products: branch CR32725.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32725-CR32725-KGV/

osa

2021-12-09 10:07

developer   ~0105762

Patches were reviewed

smoskvin

2021-12-11 11:36

administrator   ~0105812

Combination -
OCCT branch : IR-2021-12-10
master SHA - e463b2f685d8c815f8a7ab996c6843808e8b1430
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-10 SHA - 6377a4e004f3c988c651adf5eca35203f239b1c2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18222.380000000427 / 18166.60000000042 [+0.31%]
Products
Total CPU difference: 11645.100000000084 / 11658.820000000103 [-0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 19999.4375 / 19937.953125 [+0.31%]
Products
Total CPU difference: 13044.453125 / 13069.28125 [-0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-11 15:27

administrator   ~0105829

Branch CR32725 has been deleted by mnt.

SHA-1: a3e1c8ff8f43ad81cc3bb76f2176475e8195a7f3

Related Changesets

occt: master e463b2f6

2021-12-08 12:55:11

kgv


Committer: smoskvin Details Diff
0032725: Visualization - Graphic3d_Structure::SetDisplayPriority() should use public enumeration Graphic3d_DisplayPriority

Added new enumeration Graphic3d_DisplayPriority.
Graphic3d_Layer now defines a fixed-length array of priorities.
Properties Graphic3d_CStructure::Id, Priority, PreviousPriority have been wrapped into methods.
Affected Issues
0032725
mod - src/AIS/AIS_Axis.cxx Diff File
mod - src/AIS/AIS_Circle.cxx Diff File
mod - src/AIS/AIS_InteractiveContext.cxx Diff File
mod - src/AIS/AIS_InteractiveContext.hxx Diff File
mod - src/AIS/AIS_Line.cxx Diff File
mod - src/AIS/AIS_PlaneTrihedron.cxx Diff File
mod - src/AIS/AIS_Shape.cxx Diff File
mod - src/AIS/AIS_TexturedShape.cxx Diff File
mod - src/Graphic3d/FILES Diff File
mod - src/Graphic3d/Graphic3d_CStructure.cxx Diff File
mod - src/Graphic3d/Graphic3d_CStructure.hxx Diff File
mod - src/Graphic3d/Graphic3d_CView.cxx Diff File
mod - src/Graphic3d/Graphic3d_CView.hxx Diff File
add - src/Graphic3d/Graphic3d_DisplayPriority.hxx Diff File
mod - src/Graphic3d/Graphic3d_GraphicDriver.cxx Diff File
mod - src/Graphic3d/Graphic3d_Group.cxx Diff File
mod - src/Graphic3d/Graphic3d_Layer.cxx Diff File
mod - src/Graphic3d/Graphic3d_Layer.hxx Diff File
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff File
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff File
rm - src/Graphic3d/Graphic3d_Structure.pxx Diff File
mod - src/Graphic3d/Graphic3d_StructureManager.cxx Diff File
mod - src/Graphic3d/Graphic3d_StructureManager.hxx Diff File
mod - src/MeshVS/MeshVS_Mesh.cxx Diff File
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff File
mod - src/OpenGl/OpenGl_LayerList.cxx Diff File
mod - src/OpenGl/OpenGl_LayerList.hxx Diff File
mod - src/OpenGl/OpenGl_View.cxx Diff File
mod - src/OpenGl/OpenGl_View.hxx Diff File
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff File
mod - src/PrsMgr/PrsMgr_PresentationManager.cxx Diff File
mod - src/PrsMgr/PrsMgr_PresentationManager.hxx Diff File
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff File
mod - src/V3d/V3d_CircularGrid.cxx Diff File
mod - src/V3d/V3d_Plane.cxx Diff File
mod - src/V3d/V3d_RectangularGrid.cxx Diff File
mod - src/V3d/V3d_Trihedron.cxx Diff File
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff File
mod - src/XCAFPrs/XCAFPrs_AISObject.cxx Diff File

occt-products: master 6377a4e0

2021-12-08 16:44:54

kgv


Committer: smoskvin Details Diff
0032725: Visualization - Graphic3d_Structure::SetDisplayPriority() should use public enumeration Graphic3d_DisplayPriority Affected Issues
0032725
mod - diff Diff File
mod - diff Diff File
mod - src/PrsPointCloud/PrsPointCloud_PointCloud.cxx Diff File

Issue History

Date Modified Username Field Change
2021-12-08 16:32 kgv New Issue
2021-12-08 16:32 kgv Assigned To => kgv
2021-12-08 16:33 kgv Test case number => N/A
2021-12-08 16:33 kgv Summary Visualization, TKOpenGles - Graphic3d_Structure::SetDisplayPriority() should use public enumeration => Visualization, TKOpenGles - Graphic3d_Structure::SetDisplayPriority() should use public enumeration Graphic3d_DisplayPriority
2021-12-08 16:39 kgv Summary Visualization, TKOpenGles - Graphic3d_Structure::SetDisplayPriority() should use public enumeration Graphic3d_DisplayPriority => Visualization - Graphic3d_Structure::SetDisplayPriority() should use public enumeration Graphic3d_DisplayPriority
2021-12-08 16:40 git Note Added: 0105747
2021-12-08 18:09 kgv Note Added: 0105750
2021-12-08 18:09 kgv Assigned To kgv => osa
2021-12-08 18:09 kgv Status new => resolved
2021-12-09 10:07 osa Note Added: 0105762
2021-12-09 10:07 osa Assigned To osa => bugmaster
2021-12-09 10:07 osa Status resolved => reviewed
2021-12-11 11:36 smoskvin Note Added: 0105812
2021-12-11 11:36 smoskvin Status reviewed => tested
2021-12-11 15:14 smoskvin Changeset attached => occt master e463b2f6
2021-12-11 15:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-11 15:14 smoskvin Status tested => verified
2021-12-11 15:14 smoskvin Resolution open => fixed
2021-12-11 15:27 git Note Added: 0105829
2021-12-17 18:41 smoskvin Changeset attached => occt-products master 6377a4e0
2021-12-17 18:41 kgv Assigned To smoskvin => kgv
2022-04-27 10:49 kgv Relationship added parent of 0032952